Create Notes

Purpose

To add new notes.

Request URL

https://www.zohoapis.com/crm/v2/Notes

Request Method

POST

Scope

scope=ZohoCRM.modules.notes.{operation_type}

Possible operation types
ALL - Full access to notes
WRITE - Edit note data
CREATE - Create note data
Note:

You must use only Field API names in the input. You can obtain the field API names from Fields metadata API (the value for the key “api_name” for every field).

Sample Request

In the request, "@newnote.json" contains the sample input data.


				curl "https://www.zohoapis.com/crm/v2/Notes"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"
-d "@newnote.json"
-X POST			

Sample Input

In the input, specify the field API names of the Notes module along with the corresponding values.


				{
    "data": [
       {
            "Note_Title": "Contacted",
            "Note_Content": "Need to do further tracking",
            "Parent_Id": "412963000001376069",
            "se_module": "Leads"
        }
    ]
}			

Sample Response


				{
    "data": [
       {
            "message": "record added",
            "details": {
                "created_by": {
                    "id": "410888000000086001",
                    "name": "Patricia Boyle"
                },
                "id": "410888000000737002",
                "modified_by": {
                    "id": "410888000000086001",
                    "name": "Patricia Boyle"
                },
                "modified_time": "2016-09-16T12:15:13+05:30",
                "created_time": "2016-09-16T12:15:13+05:30"
            },
            "status": "success",
            "code": "SUCCESS"
        }
    ]
}